// OpenGLDevice.h: Schnittstelle fr die Klasse OpenGLDevice.
//
//////////////////////////////////////////////////////////////////////

#ifndef OPENGL_DEVICE_H
#define OPENGL_DEVICE_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <windows.h>

class OpenGLDevice
{
public:
	OpenGLDevice(HDC& deviceContext);
	OpenGLDevice(HWND& window);
	OpenGLDevice();

	bool create(HDC& deviceContext);
	bool create(HWND& window);

	void destroy();
		
	virtual ~OpenGLDevice();

protected:
	bool setDCPixelFormat(HDC& deviceContext);
	
	HGLRC renderContext;
};

#endif // ifndef OPENGL_DEVICE_H
